package com.qmth.boot.core.ai.model.llm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.LinkedList;
import java.util.List;

/**
 * 大模型通用chat返回结果
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChatResult {

    private List<ChatChoice> choices;

    public ChatResult() {
        this.choices = new LinkedList<>();
    }

    public List<ChatChoice> getChoices() {
        return choices;
    }

    public void setChoices(List<ChatChoice> choices) {
        this.choices = choices;
    }
}
